Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 201317 - NullPointerException at com.sun.tools.javac.code.Type$ClassType.toString
NullPointerException at com.sun.tools.javac.code.Type$ClassType.toString
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
7.0
All All
: P3 (vote)
: 7.2
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-25 11:15 UTC by bht
Modified: 2012-05-25 05:44 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.20 KB, text/plain)
2011-08-25 11:15 UTC, bht
Details
stacktrace (4.31 KB, text/plain)
2011-10-05 07:20 UTC, jmichelberger
Details
stacktrace (5.05 KB, text/plain)
2011-10-21 12:09 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bht 2011-08-25 11:15:22 UTC
Build: NetBeans IDE 7.0.1 (Build 201107282000)
VM: Java HotSpot(TM) Client VM, 20.0-b11, Java(TM) SE Runtime Environment, 1.6.0_25-b06
OS: Windows 2000

User Comments:
bht: During startup after deleting var\cache\index




Stacktrace: 
java.lang.NullPointerException
   at com.sun.tools.javac.code.Type$ClassType.toString(Type.java:604)
   at java.lang.String.valueOf(String.java:2826)
   at java.lang.StringBuilder.append(StringBuilder.java:115)
   at com.sun.tools.javac.comp.TransTypes.visitApply(TransTypes.java:614)
   at com.sun.tools.javac.tree.JCTree$JCMethodInvocation.accept(JCTree.java:1326)
   at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
Comment 1 bht 2011-08-25 11:15:26 UTC
Created attachment 110202 [details]
stacktrace
Comment 2 bht 2011-08-26 01:06:05 UTC
Please refer to bug 201324
Comment 3 Exceptions Reporter 2011-10-03 19:29:52 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=180763
Comment 4 jmichelberger 2011-10-05 07:20:48 UTC
Created attachment 111498 [details]
stacktrace
Comment 5 Exceptions Reporter 2011-10-21 12:09:04 UTC
Created attachment 112301 [details]
stacktrace
Comment 7 Quality Engineering 2012-05-25 05:44:34 UTC
Integrated into 'main-golden', will be available in build *201205250002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7ae576ddf660
User: Dusan Balek <dbalek@netbeans.org>
Log: NPEs fixed (see issues #126271, #178114, #192723, #194758, #196863, #199921, #200555, #201317, #202443, #206760, #207651, and #210936).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo